View Issue Details

IDProjectCategoryView StatusLast Update
14400Bug reports[All Projects] Expression Managerpublic2019-04-30 09:11
ReporterMazi Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target Version3.16.xFixed in Version3.15.x 
Summary14400: Unable to use "self" 'self' "that" or 'that' fixed string in Expression
Description

If there is a question "Your role?" with these options (code/answer text):
self - self
boss - supervisor
empl - employee

...and you want to add a relevance equation at a follow up question like {role.NAOK=="self"}, then "self" gets replaced with the current SGQA identifier (see screenshot) and the conditions doesn't work. Even if options "self" is chosen, the follow up question never shows up.

Steps To Reproduce
  1. Import the attached sample survey.
  2. Check question "r1" at the beginning of the second question group.
Additional Information

Denis, assigning this one to you since you are the EM expert. Is it possible to have a fix which leads to "self" being checked as simple string value? Because currently some replacement seems to be done for unknown reasons which causes the conditions to not work properly.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5+181115
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 5
Server OS (if known)Ubuntu 14 TLS
Webserver software & version (if known)Apache 2
PHP Version7.0

Activities

Mazi

Mazi

2019-01-07 10:39

partner  

self_placeholder.png (42,397 bytes)
self_placeholder.png (42,397 bytes)
limesurvey_survey_411827.lss (55,319 bytes)
DenisChenu

DenisChenu

2019-01-07 10:41

developer   ~50119

"self" MUST not be updated : it's a major issue in my opinion

DenisChenu

DenisChenu

2019-01-07 12:22

developer   ~50121

See https://github.com/LimeSurvey/LimeSurvey/pull/1202

Still have issue with selfToto : must fix the regexp

DenisChenu

DenisChenu

2019-01-15 09:27

developer   ~50201

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28725

Related Changesets

LimeSurvey: master ab247ba5

2019-01-09 12:19:28

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14400: Unable to use self ot that fixed string in Expression (#1202)

Dev: add self,that and this in reserved var for Question rules
Fixed issue : don't replace question title starting with self or that in expression
Affected Issues
14400
mod - application/helpers/expressions/em_core_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/models/Question.php Diff File

Issue History

Date Modified Username Field Change
2019-01-07 10:39 Mazi New Issue
2019-01-07 10:39 Mazi Status new => assigned
2019-01-07 10:39 Mazi Assigned To => DenisChenu
2019-01-07 10:39 Mazi File Added: self_placeholder.png
2019-01-07 10:39 Mazi File Added: limesurvey_survey_411827.lss
2019-01-07 10:41 DenisChenu Note Added: 50119
2019-01-07 12:06 DenisChenu Summary Using Expression Manager to check for answer code "self" leads to "self" being replaced by the SGQA value => Unable to use "self" 'self' "that" or 'that' fixed string in Expression
2019-01-07 12:06 DenisChenu Description Updated View Revisions
2019-01-07 12:06 DenisChenu Steps to Reproduce Updated View Revisions
2019-01-07 12:06 DenisChenu Additional Information Updated View Revisions
2019-01-07 12:22 DenisChenu Note Added: 50121
2019-01-07 12:56 DenisChenu Priority none => normal
2019-01-07 12:56 DenisChenu Reproducibility have not tried => always
2019-01-09 15:11 DenisChenu Status assigned => resolved
2019-01-09 15:11 DenisChenu Resolution open => fixed
2019-01-09 15:11 DenisChenu Fixed in Version => 3.15.x
2019-01-15 09:27 DenisChenu Changeset attached => LimeSurvey master ab247ba5
2019-01-15 09:27 DenisChenu Note Added: 50201
2019-04-30 09:11 c_schmitz Status resolved => closed